Skip to main content
POST
Cancel an actions group launch

Authorizations

Authorization
string
header
required

Path Parameters

id
string<uuid>
required

A UUID string identifying the launch.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

The cancelled launch

id
string<uuid>
required

Launch UUID

organization_id
string<uuid>
required

Organization UUID

workspace_id
string<uuid>
required

Workspace UUID

actions_group_id
string<uuid> | null
required

Actions group launched, or null if the group was deleted since

trigger
enum<string>
required

What started the launch

  • group - Group trigger
  • workspace - Workspace trigger
  • monthly - Monthly run
Available options:
group,
workspace,
monthly
status
enum<string>
required

Status of the launch, worked out from its runs unless it has no data or was cancelled

  • waiting - Waiting
  • running - Running
  • done - Done
  • done_with_errors - Done with errors
  • no_data - No data
  • failed - Failed
  • cancelled - Cancelled
Available options:
waiting,
running,
done,
done_with_errors,
no_data,
failed,
cancelled
message
string | null
required

Why the launch has no data or failed, or null otherwise

runs
object
required

Runs of the launch, by status

created_by
string<uuid> | null
required

UUID of the user who launched, null for monthly

cancelled_by
string<uuid> | null
required

UUID of the user who cancelled the launch, null if not cancelled

created_at
string<date-time>
required

Launch time

updated_at
string<date-time>
required

Last status change